| Version: 3.2.5

Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
wxPGCellData Class Reference
Class List by Category » wxPropertyGrid

`#include <wx/propgrid/property.h>`

Inheritance diagram for wxPGCellData:
[legend]

## Detailed Description

##

Library: wxPropertyGrid
Category: wxPropertyGrid

## Public Member Functions

| wxPGCellData ()
void | SetText (const wxString &text)
void | SetBitmap (const wxBitmapBundle &bitmap)
void | SetFgCol (const wxColour &col)
void | SetBgCol (const wxColour &col)
void | SetFont (const wxFont &font)

## Protected Member Functions

virtual | ~wxPGCellData ()

## Protected Attributes

wxString | m_text
wxBitmapBundle | m_bitmapBundle
wxColour | m_fgCol
wxColour | m_bgCol
wxFont | m_font
bool | m_hasValidText
| true if m_text is valid and specified. More...

## Friends

class | wxPGCell

## Constructor & Destructor Documentation

## ◆ wxPGCellData()

wxPGCellData::wxPGCellData | ( |  | ) |

## ◆ ~wxPGCellData()

virtual wxPGCellData::~wxPGCellData | ( |  | ) |

protected virtual

## Member Function Documentation

## ◆ SetBgCol()

void wxPGCellData::SetBgCol | ( | const wxColour & | col | ) |

## ◆ SetBitmap()

void wxPGCellData::SetBitmap | ( | const wxBitmapBundle & | bitmap | ) |

## ◆ SetFgCol()

void wxPGCellData::SetFgCol | ( | const wxColour & | col | ) |

## ◆ SetFont()

void wxPGCellData::SetFont | ( | const wxFont & | font | ) |

## ◆ SetText()

void wxPGCellData::SetText | ( | const wxString & | text | ) |

## Friends And Related Function Documentation

## ◆ wxPGCell

friend class wxPGCell

friend

## Member Data Documentation

## ◆ m_bgCol

wxColour wxPGCellData::m_bgCol

protected

## ◆ m_bitmapBundle

wxBitmapBundle wxPGCellData::m_bitmapBundle

protected

## ◆ m_fgCol

wxColour wxPGCellData::m_fgCol

protected

## ◆ m_font

wxFont wxPGCellData::m_font

protected

## ◆ m_hasValidText

bool wxPGCellData::m_hasValidText

protected

true if m_text is valid and specified.

## ◆ m_text

wxString wxPGCellData::m_text

protected